## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.7

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# ElemTemplate Class Reference

`#include <ElemTemplate.hpp>`

Inheritance diagram for ElemTemplate

Collaboration diagram for ElemTemplate:

List of all members.

## Public Methods

- ElemTemplate ( StylesheetConstructionContext& constructionContext, Stylesheet& stylesheetTree, const AttributeListType& atts, int lineNumber, int columnNumber)
    Construct an object corresponding to an "xsl:template" element. More...
- virtual ~ElemTemplate ()
- const XalanQName& getMode () const
    Retrieve the mode of element. More...
- const XPath* getMatchPattern () const
    Retrieve the match pattern. More...
- double getPriority () const
    Retrieve the priority of element. More...
- virtual const XalanQName& getNameAttribute () const
    Get the QName associated with any name attribute of this element. More...
- virtual void addToStylesheet ( StylesheetConstructionContext& constructionContext, Stylesheet& theStylesheet)
    Called during compilation when an instance is not parented by another element, and thus, is a child of the stylesheet.. More...
- virtual const XalanDOMString& getElementName () const
    Get a string for the name of the element. More...
- virtual void execute (StylesheetExecutionContext& executionContext) const
    Execute the element's primary function. More...
- virtual void executeChildren (StylesheetExecutionContext& executionContext) const
    Process the children of a template. More...
- virtual void executeChildren ( StylesheetExecutionContext& executionContext, XalanNode* sourceNode) const
    Set the current node and process the children of a template. More...
- virtual const XPath* getXPath (unsigned int index = 0) const
    Get XPath pattern/expression of one of the element atribute. More...

## Constructor & Destructor Documentation

ElemTemplate::ElemTemplate ( | StylesheetConstructionContext & constructionContext,
| Stylesheet & stylesheetTree,
| const AttributeListType & atts,
| int lineNumber,
| int columnNumber )

Construct an object corresponding to an "xsl:template" element.

Parameters:

  constructionContext | context for construction of object
  stylesheetTree | stylesheet containing element
  atts | list of attributes for element
  lineNumber | line number in document
  columnNumber | column number in document

virtual ElemTemplate::~ElemTemplate ( | )`[virtual]`

## Member Function Documentation

virtual void ElemTemplate::addToStylesheet ( | StylesheetConstructionContext & constructionContext,
| Stylesheet & theStylesheet )`[virtual]`

Called during compilation when an instance is not parented by another element, and thus, is a child of the stylesheet..

Parameters:

  constructionContext | The current construction context
  theStylesheet | The owning stylesheet

Returns:
  nothing

Reimplemented from ElemTemplateElement.

virtual void ElemTemplate::execute ( | StylesheetExecutionContext & executionContext ) const`[virtual]`

Execute the element's primary function.

Subclasses of this function may recursively execute down the element tree.

Parameters:

  executionContext | The current execution context

Reimplemented from ElemTemplateElement.

virtual void ElemTemplate::executeChildren ( | StylesheetExecutionContext & executionContext,
| XalanNode * sourceNode ) const`[virtual]`

Set the current node and process the children of a template.

Parameters:

  processor | XSLT processor instance
  sourceNode | current node

Reimplemented from ElemTemplateElement.

virtual void ElemTemplate::executeChildren ( | StylesheetExecutionContext & executionContext ) const`[virtual]`

Process the children of a template.

Parameters:

  processor | XSLT processor instance

Reimplemented from ElemTemplateElement.

virtual const XalanDOMString& ElemTemplate::getElementName ( | ) const`[virtual]`

Get a string for the name of the element.

Useful for debugging purposes, and error reporting.

Returns:
  A string containing the name of the element.

Reimplemented from ElemTemplateElement.

const XPath * ElemTemplate::getMatchPattern ( | ) const`[]`

Retrieve the match pattern.

Returns:
  XPath corresponding to the match pattern

const XalanQName & ElemTemplate::getMode ( | ) const`[]`

Retrieve the mode of element.

Returns:
  QName for mode

virtual const XalanQName& ElemTemplate::getNameAttribute ( | ) const`[virtual]`

Get the QName associated with any name attribute of this element.

If the element has no name attribute, this will be an empty QName.

Returns:
  A string containing the name of the element.

Reimplemented from ElemTemplateElement.

double ElemTemplate::getPriority ( | ) const`[]`

Retrieve the priority of element.

Returns:
  priority value

virtual const XPath* ElemTemplate::getXPath ( | unsigned int index = 0 ) const`[virtual]`

Get XPath pattern/expression of one of the element atribute.

@index number of the attribute. If an attribute has more then one attribute with pattern/expression,the order of the returned expressions are undefined

Returns:
  pointer or null

Reimplemented from ElemTemplateElement.

The documentation for this class was generated from the following file:

- ElemTemplate.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.7 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.